OsmoGSMTester - Bug #2189
Bug # 2187 (Closed): ofono: not all modems do what they should

ofono: EC20: cannot send SMS
04/25/2017 03:41 PM - neels

Status: New Start date: 04/25/2017
Priority: Normal Due date:

Assignee: lynxis % Done: 100%
Category:

Target version:

Spec Reference:

Description

When sending an SMS via ofono on the EC20 (/gobi_0, /gobi_3), the dbus calls look perfect, but no SMS ever reaches the NITB.
(It even stores and removes the pending SMS internally)

Subtasks:
Bug # 2473: update EC20 to a newer firmware Closed

History

#1 - 04/27/2017 02:11 AM - neels

- Priority changed from Normal to Low

we've ordered more sierra wireless modems, so the focus is not on the EC20 for now; nevertheless | vaguely suspect that it would be nice to support
the EC20 at some point.

#2 - 08/01/2017 09:35 AM - lynxis

- Assignee changed from lynxis to pespin

Works for me.

#3 - 08/01/2017 09:36 AM - lynxis

pespin: can you enable the Gobi2000 + EC20 tests?

#4 - 08/02/2017 12:29 PM - pespin

- File run-ec20-send-sms.tar.gz added

I've changed for a local test the order in which tests are run to have an EC20 modem sending an sms to a SierraWireless modem (using test
sms/mo_mt_sms.py).

For EC20, powering up + registration seems to be working OK, but sending an sms doesn't work. The test times out waiting for the other MS
(SierraW) to receive the sms.

| attach a run with osmo-gsm-tester content (log, pcap, etc.) and also ofono log with debug enabled for the time during the test was run.

#5 - 08/02/2017 12:39 PM - pespin

- Assignee changed from pespin to lynxis

Using the EC20 to receive SMS works well too, both from another MS and from an ESME (SMPP).

However, as stated in my last post, sending SMS with the EC20 is not working.
In case you want to test, you can use the manual-run-all jenkins job using the osmo-gsm-tester branch "pespin/ec20-send", which modifies the
resources list to have the EC20 modem first. Then this one gets selected by the test to send an sms.

#6 - 08/21/2017 04:11 AM - lynxis

I've tried to reproduce it. | would like to do a firmware update on the ec20. My EC20 has the version
'Manufacturer': <'Quectel'>, 'Model': <'EC20'>, 'Revision':

The rnd Version is:

'Manufacturer': <'Quectel'>, 'Model': <'EC20'>, 'Revision':

#7 - 08/21/2017 07:41 AM - laforge
I've provided EC20EQARO02AQ9E2G at our internal software-lab share.

#8 - 10/17/2017 11:51 AM - pespin
- File ofono.log.gz added

It still fails. | attach a ofono log. Reminder: grep for "Raw Send" to see the error.

#9 - 10/17/2017 02:17 PM - lynxis

pespin: can you give me the exact message you're trying to send?

#10 - 11/28/2017 04:20 PM - pespin

Message text: 'message nr. 1, from /sierra_1, to /sierra_2, from 1221, to 1222’

#11 - 11/28/2017 04:21 PM - pespin

- Priority changed from Low to Normal

<'EC20EQAR02AQ07E2G

<'EC20EQAR02A05E2G

1

1

[May 30 2016 16:18:41]'>

[Mar 14 2016 19:33:01]'>

Files

run-ec20-send-sms.tar.gz 149 KB 08/02/2017 pespin

ofono.log.gz 301 KB 10/17/2017 pespin
